#include <iostream>
#include <math.h>
#include "GnuP.h"

using namespace std;

double f1(double x) { return x*sin(exp(sqrt(-x))/3);}
double f2(double x) { return 5*sin(x*3)/x;}
double f3(double x) { return x*cos(exp(sqrt(x))/3);}
int main()
{
	double x1[300], x2[300];
	for (int i=0; i<300; i++){
        x1[i] = (i-150)/15.10 - 10;
		x2[i] = (i-150)/15.10 + 10;}
	GnuP p;
	p.plotFunc(300,x1,f1,300,x1,f2,300,x2,f2,300,x2,f3);
	p.plot();
	return 0;
}
